RebootEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.system.event
Class RebootEvent

    java.lang.Object
      org.ocap.system.event.SystemEvent
          org.ocap.system.event.RebootEvent

    public class RebootEvent

extends SystemEvent

This class represents an event returned by the system when a reboot is instigated. Reboot event type codes are defined in this class. Implementations may use the reboot type codes in this class or proprietary class codes that are understood by the network.

Field Summary
`static int` | `REBOOT_BY_IMPLEMENTATION` Reboot instigated by implementation; no error encountered.
`static int` | `REBOOT_BY_TRUSTED_APP` Reboot instigated by trusted application.
`static int` | `REBOOT_FOR_UNRECOVERABLE_HW_ERROR` Reboot instigated by the implementation; unrecoverable hardware error encountered.
`static int` | `REBOOT_FOR_UNRECOVERABLE_SYS_ERROR` Reboot instigated by implementation; unrecoverable system error encountered.

Fields inherited from class org.ocap.system.event.SystemEvent
`BEGIN_APP_CAT_ERROR_EVENT_TYPES, BEGIN_APP_CAT_ERROR_RESERVED_EVENT_TYPES, BEGIN_APP_INFO_EVENT_TYPES, BEGIN_APP_INFO_RESERVED_EVENT_TYPES, BEGIN_APP_REC_ERROR_EVENT_TYPES, BEGIN_APP_REC_ERROR_RESERVED_EVENT_TYPES, BEGIN_SYS_CAT_ERROR_EVENT_TYPES, BEGIN_SYS_CAT_ERROR_RESERVED_EVENT_TYPES, BEGIN_SYS_DNLD_EVENT_TYPES, BEGIN_SYS_INFO_EVENT_TYPES, BEGIN_SYS_INFO_RESERVED_EVENT_TYPES, BEGIN_SYS_REBOOT_EVENT_TYPES, BEGIN_SYS_REBOOT_RESERVED_EVENT_TYPES, BEGIN_SYS_REC_ERROR_EVENT_TYPES, BEGIN_SYS_REC_ERROR_RESERVED_EVENT_TYPES, BEGIN_SYS_RES_DEP_EVENT_TYPES, BEGIN_SYS_RES_DEP_RESERVED_EVENT_TYPES, END_APP_CAT_ERROR_EVENT_TYPES, END_APP_INFO_EVENT_TYPES, END_APP_REC_ERROR_EVENT_TYPES, END_SYS_CAT_ERROR_EVENT_TYPES, END_SYS_DNLD_EVENT_TYPES, END_SYS_INFO_EVENT_TYPES, END_SYS_REBOOT_EVENT_TYPES, END_SYS_REC_ERROR_EVENT_TYPES, END_SYS_RES_DEP_EVENT_TYPES`

Constructor Summary
`RebootEvent(int typeCode, String message)` System event constructor assigns an eventId, Date, and ApplicationIdentifier.
`RebootEvent(int typeCode, String message, long date, AppID appId)` This constructor is provided for internal use by OCAP implementations; applications SHOULD NOT call it.

Method Summary

Methods inherited from class org.ocap.system.event.SystemEvent
`getAppID, getDate, getMessage, getTypeCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REBOOT_BY_IMPLEMENTATION

    public static final int REBOOT_BY_IMPLEMENTATION

  Reboot instigated by implementation; no error encountered.

  See Also:
    Constant Field Values

### REBOOT_FOR_UNRECOVERABLE_SYS_ERROR

    public static final int REBOOT_FOR_UNRECOVERABLE_SYS_ERROR

  Reboot instigated by implementation; unrecoverable system error encountered.

  See Also:
    Constant Field Values

### REBOOT_FOR_UNRECOVERABLE_HW_ERROR

    public static final int REBOOT_FOR_UNRECOVERABLE_HW_ERROR

  Reboot instigated by the implementation; unrecoverable hardware error encountered. For hardware errors only, not firmware. If indistinguishable between software or firmware errors in certain implementations, `REBOOT_FOR_UNRECOVERABLE_SYS_ERROR` MUST be generated instead.

  See Also:
    Constant Field Values

### REBOOT_BY_TRUSTED_APP

    public static final int REBOOT_BY_TRUSTED_APP

  Reboot instigated by trusted application.

  See Also:
    `Host.reboot()`, Constant Field Values

Constructor Detail

### RebootEvent

    public RebootEvent(int typeCode,
                       String message)
                throws IllegalArgumentException

  System event constructor assigns an eventId, Date, and ApplicationIdentifier.

  Parameters:
    `typeCode` - - Unique event type.
    `message` - - Readable message specific to the event generator.
  Throws:
    `IllegalArgumentException` - if the typeCode is not in a defined application range when the event is created by an application.

### RebootEvent

    public RebootEvent(int typeCode,
                       String message,
                       long date,
                       AppID appId)

  This constructor is provided for internal use by OCAP implementations; applications SHOULD NOT call it.

  Parameters:
    `typeCode` - - The unique error type code.
    `message` - - Readable message specific to the event generator.
    `date` - - Event date in milli-seconds from midnight January 1, 1970 GMT.
    `appId` - - The Id of the application logging the event.
  Throws:
    `SecurityException` - if this constructor is called by any application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD